package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.TrsPolicyWordsTenant;

import java.util.List;

/**
 * 政治常识Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface TrsPolicyWordsTenantMapper
{
    /**
     * 查询政治常识
     * 
     * @param id 政治常识主键
     * @return 政治常识
     */
    public TrsPolicyWordsTenant selectTrsPolicyWordsById(Long id);

    /**
     * 查询政治常识列表
     * 
     * @param trsPolicyWords 政治常识
     * @return 政治常识集合
     */
    public List<TrsPolicyWordsTenant> selectTrsPolicyWordsList(TrsPolicyWordsTenant trsPolicyWords);

    /**
     * 新增政治常识
     * 
     * @param trsPolicyWords 政治常识
     * @return 结果
     */
    public int insertTrsPolicyWords(TrsPolicyWordsTenant trsPolicyWords);

    /**
     * 修改政治常识
     * 
     * @param trsPolicyWords 政治常识
     * @return 结果
     */
    public int updateTrsPolicyWords(TrsPolicyWordsTenant trsPolicyWords);

    /**
     * 删除政治常识
     * 
     * @param id 政治常识主键
     * @return 结果
     */
    public int deleteTrsPolicyWordsById(Long id);

    /**
     * 批量删除政治常识
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsPolicyWordsByIds(String[] ids);

    List<TrsPolicyWordsTenant> selectTrsWordsListByErrorWord(String wrongWord);
}
